Bug 527023 - Context menu is positioned incorrectly when context key is pressed
Context menu is positioned incorrectly when context key is pressed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-03 06:43 EDT by Uros Bizjak
Modified: 2010-05-28 09:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 09:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uros Bizjak 2009-10-03 06:43:54 EDT
Description of problem:
When context key (the key between Windows and Ctrl keys on the right side of the keyboard) is pressed , context menu opens in top left corner instead of where the cursor is.

Version-Release number of selected component (if applicable):

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.3) Gecko/20090909 Fedora/3.5.3-1.fc11 Firefox/3.5.3

How reproducible:
Always.

Steps to Reproduce:
1. Press context key
2.
3.
  
Actual results:
Context menu opens in the left top corner.

Expected results:
Context menu opens where the cursor is as when right-clicked in the application.

Additional info:
This problem also happens in Thunderbird mail reader.
Comment 1 Bug Zapper 2010-04-28 06:40:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Campbell 2010-05-28 09:43:20 EDT
The right mouse click context menu appears wherever the mouse cursor is. The keyboard context key appears whereever the focused-window cursor is. You can see this effect here in bugzilla. Open this ticket without clicking anywhere in this ticket. Hit the button. The menu appears up underneath the tab icon. Now, click in the comment entry box (where I am actually typing right now, or where you would bne typing the enter a comment. Then, when that window, or dialog box has focus, hit the key. You get your menu under the cursor.
Now, left click down in the other box, below the comment window (where you can enter a needinfo email address, the menu will appear there.

I don't see this as a bug, but please feel free to reopen if you disagree.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.